wood burning stoves 2.0*
The moose likes Java in General and the fly likes Fedora 14 - JRE Runtime error Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of EJB 3 in Action this week in the EJB and other Java EE Technologies forum!
JavaRanch » Java Forums » Java » Java in General
Bookmark "Fedora 14 - JRE Runtime error" Watch "Fedora 14 - JRE Runtime error" New topic
Author

Fedora 14 - JRE Runtime error

Alvaro Quintana
Greenhorn

Joined: Dec 03, 2010
Posts: 10

Hi, everyone, i would really appreciate if someone can give me an advice about this problem that is driving me crazy.

I’ve installed Fedora 14 (Laughlin), and successfully installed JDK, but sometimes (not always) when i execute Eclipse or Netbeans or Glassfish (or anything that uses JRE), a kill signal is send to the process because java runtime had an error (see error below).

Thanks in advance for the help,

#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007f602dca3761, pid=4054, tid=140051033437952
#
# JRE version: 6.0_25-b06
# Java VM: Java HotSpot(TM) 64-Bit Server VM (20.0-b11 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# V [libjvm.so+0x656761] PhaseLive::compute(unsigned)+0×241
#
# An error report file with more information is saved as:
# /opt/apache-tomcat/bin/hs_err_pid4054.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
#
Jesper de Jong
Java Cowboy
Saloon Keeper

Joined: Aug 16, 2005
Posts: 13870
    
  10

Errors like that, where the JVM really crashes, are most likely bugs in the JVM, or in a library that the JVM uses. Your particular error message seems to point directly to some function in libjvm.so - that really looks like a bug in the JVM itself. Unfortunately there's not much you can do about this. You could try running a different update version. I see that you're now using Java 1.6.0 update 25 (the latest version). You could try getting an earlier version (update 20, 21, ...).

I'm using Java 1.6.0 update 25 (64-bit, like you) on Ubuntu 10.10 and haven't seen this problem yet.

It points you to a log file that could have more information on where it crashed exactly:
Alvaro Quintana wrote:# An error report file with more information is saved as:
# /opt/apache-tomcat/bin/hs_err_pid4054.log


Java Beginners FAQ - JavaRanch SCJP FAQ - The Java Tutorial - Java SE 7 API documentation
Scala Notes - My blog about Scala
Alvaro Quintana
Greenhorn

Joined: Dec 03, 2010
Posts: 10

Jesper de Jong wrote:Errors like that, where the JVM really crashes, are most likely bugs in the JVM, or in a library that the JVM uses. Your particular error message seems to point directly to some function in libjvm.so - that really looks like a bug in the JVM itself. Unfortunately there's not much you can do about this. You could try running a different update version. I see that you're now using Java 1.6.0 update 25 (the latest version). You could try getting an earlier version (update 20, 21, ...).

I'm using Java 1.6.0 update 25 (64-bit, like you) on Ubuntu 10.10 and haven't seen this problem yet.

It points you to a log file that could have more information on where it crashed exactly:
Alvaro Quintana wrote:# An error report file with more information is saved as:
# /opt/apache-tomcat/bin/hs_err_pid4054.log


Well, i've installed JDK update 24, but i still get the same error, could be this something associated to SELinux?
Campbell Ritchie
Sheriff

Joined: Oct 13, 2005
Posts: 36478
    
  16
I am running F14 and jdk1.6.0_25 and have never had that problem.
Alvaro Quintana
Greenhorn

Joined: Dec 03, 2010
Posts: 10

Campbell Ritchie wrote:I am running F14 and jdk1.6.0_25 and have never had that problem.


Hi Campbell, could you please post the result of this command "uname -a". I would like to compare kernel versions.

Thanks,
Campbell Ritchie
Sheriff

Joined: Oct 13, 2005
Posts: 36478
    
  16
[campbell@campbell1110 ~]$ uname -a
Linux campbell1110 2.6.35.12-90.fc14.i686 #1 SMP Fri Apr 22 16:14:44 UTC 2011 i686 i686 i386 GNU/Linux
Alvaro Quintana
Greenhorn

Joined: Dec 03, 2010
Posts: 10

Campbell Ritchie wrote:[campbell@campbell1110 ~]$ uname -a
Linux campbell1110 2.6.35.12-90.fc14.i686 #1 SMP Fri Apr 22 16:14:44 UTC 2011 i686 i686 i386 GNU/Linux


Well i see we have the same Fedora with the last kernel version, but it seems yours is a 32bits fedora and mine is 64bits. The problem is rising with a 64 bits JRE, i haven't test with 32 bits JRE because all software installed is 64 bits (eclipse, netbeans, glassfish, tomcat).

Below i show the result of execute on my machine:

Campbell Ritchie
Sheriff

Joined: Oct 13, 2005
Posts: 36478
    
  16
Yes, I am on 32 bits. Didn't realise it was a 64 bit problem.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Fedora 14 - JRE Runtime error
 
Similar Threads
run time error
Error while starting eclipse
While Compile The Eclipse Project I am Facing JVM Error
UnsupportedClassVersionError while startup.
Error with marketplace connectivity in Eclipse Helios